Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
CommonTest< T > Class Template Reference
Inheritance diagram for CommonTest< T >:

## Static Public Member Functions
static void | SetUpTestCase ()
static void | TearDownTestCase ()
Static Public Member Functions inherited from Test
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)

## Protected Types
typedef std::vector< T > | Vector
typedef std::set< int > | IntSet

## Protected Member Functions
| CommonTest ()
virtual | ~CommonTest ()
virtual void | SetUp ()
virtual void | TearDown ()
Protected Member Functions inherited from Test
| Test ()
| Test ()
| Test ()

## Protected Attributes
T | value_

## Static Protected Attributes
static T * | shared_ = NULL

## Additional Inherited Members
Public Types inherited from Test
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
Public Member Functions inherited from Test
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()

## Member Typedef Documentation

typedef std::set<int> IntSet
| protected

typedef std::vector<T> Vector
| protected

## Constructor & Destructor Documentation

CommonTest | ( |  | ) |
| inline protected

virtual ~CommonTest | ( |  | ) |
| inline protected virtual

## Member Function Documentation

virtual void SetUp | ( |  | ) |
| inline protected virtual

Reimplemented from Test.

static void SetUpTestCase | ( |  | ) |
| inline static

virtual void TearDown | ( |  | ) |
| inline protected virtual

Reimplemented from Test.

static void TearDownTestCase | ( |  | ) |
| inline static

## Member Data Documentation

T * shared_ = NULL
| static protected

T value_
| protected

The documentation for this class was generated from the following file:

- testing/googleTest/test/gtest-typed-test_test.cc